Bug 64772 - system/hardware clock is loosing time
system/hardware clock is loosing time
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-10 15:06 EDT by Elliot Peele
Modified: 2008-08-01 12:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliot Peele 2002-05-10 15:06:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
The system clock and hardware clock on my Dell Latitude C810 is loosing about an
hour when ever the computer is suspended. I have also noticed that the clock
looses time at a slower rate if it isn't suspended, but it still looses time. I
have seen this happen on another laptop also (Dell Insiron 4100).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use default install of gnome time will change
2.
3.
	

Actual Results:  clock looses time

Expected Results:  time should stay correct

Additional info:
Comment 1 Need Real Name 2002-05-19 15:33:39 EDT
This problem is also true for an Dell Latitude C610 (should be technically
similar to an Inspiron 4100).

During normal operation (no suspend) the system clock loses several seconds
within an hour.
Comment 2 Matthew Saltzman 2002-07-02 19:31:03 EDT
I'm glad to see I'm not the only one who's experienced this with the C610.

I have been playing with adjtimex, and I'm finding it very difficult to keep the
clock synced.  "adjtimex --compare" recommends 10051 ticks (pretty consistently)
but frequencies range anywhere from a few hundred thousand to a couple of
million negative.  Running "adjtimex --compare" followed by setting the
frequency then running compare again shows the recommended frequency growing
more and more negative at each pass.

This is pretty strange.  Windows 2000 on the same machine has no problem with
keeping time, and Linux had no problem until I installed 7.3 (or possibly one of
the 2.4.18 errata kernels).  I'm currently running the 2.4.18-5 kernel.
Comment 3 Scott N. Blackman 2002-08-06 02:49:53 EDT
My ASUS L8400 L notebook is loosing about 1 minute every 10 minutes running X
but when I use console it does not.  Redhat 7.3 and window did not have a problem.
Comment 4 Elliot Peele 2002-08-06 16:20:09 EDT
I've noticed that if you turn off the gnome battery applet the problem goes
away. This is only a temporary fix though.
Comment 5 Aleksey Nogin 2002-10-02 17:31:08 EDT
Clock is too slow on Dells - see bug 74645 (I'll attach a workaround there
shortly). It does not seem to be an APM problem, rather a kernel one.

Clock cloosing an hout at suspend is likely to be a different problems.
Comment 6 Eric Fields 2003-03-30 23:53:09 EST
I'd just like to add that I am also experiencing a system/hardware clock
slowdown, but it is on my Dell Dimension 4100 and I am using Redhat 8; this just
goes to show that whatever is the cause of the error, it has something to do
with a similar package (assuming...) that is in both 7.3 and 8. Windows XP, on
the same box, has no problem keeping time.
Comment 7 Bugzilla owner 2004-09-30 11:39:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.